## org.omg.CORBA
Class AttributeModeHelper

    java.lang.Object
      |
      +--org.omg.CORBA.AttributeModeHelper

public class AttributeModeHelper
extends java.lang.Object

Helper class for : AttributeMode

Author:
  OpenORB Compiler

Constructor Summary
`AttributeModeHelper()`

Method Summary
`static AttributeMode` `extract(Any a)` Extract AttributeMode from an any
`static java.lang.String` `id()` Return the AttributeMode IDL ID
`static void` `insert(Any a, AttributeMode t)` Insert AttributeMode into an any
`static AttributeMode` `read(InputStream istream)` Read AttributeMode from a marshalled stream
`static TypeCode` `type()` Return the AttributeMode TypeCode
`static void` `write(OutputStream ostream, AttributeMode value)` Write AttributeMode into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeModeHelper

    public AttributeModeHelper()

Method Detail

### insert

    public static void insert(Any a,
                              AttributeMode t)

  Insert AttributeMode into an any
  Parameters:
    `a` - an any
    `t` - AttributeMode value

### extract

    public static AttributeMode extract(Any a)

  Extract AttributeMode from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted AttributeMode value

### type

    public static TypeCode type()

  Return the AttributeMode TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the AttributeMode IDL ID
  Returns:
    an ID

### read

    public static AttributeMode read(InputStream istream)

  Read AttributeMode from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed AttributeMode value

### write

    public static void write(OutputStream ostream,
                             AttributeMode value)

  Write AttributeMode into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - AttributeMode value